## ros-one-roseus-mongo 1.7.5-102jammy.20251023.1100

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102jammy.20251023.1100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:00:17 +0000

ros-one-roseus-mongo (1.7.5-0jammy) jammy; urgency=high

  * add tests for encode-vector (#618 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/618>)
  * Contributors: Hirokazu Ishida

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 13 Dec 2021 00:00:00 -0000

ros-one-roseus-mongo (1.7.4-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-one-roseus-mongo (1.7.3-0jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into last-status-msg
  * Contributors: Furushchev

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-one-roseus-mongo (1.7.2-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-one-roseus-mongo (1.7.1-0jammy) jammy; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * rosues_mongo/CMakeLists.txt: check mongodb_store package and deciede to run tests
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-one-roseus-mongo (1.7.0-0jammy) jammy; urgency=high

  * roseus_mongo: support non blocking insertion & update docstring (#541 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/541>)
    * roseus_mongo: skip non wait insertion test on hydro
    * roseus_mongo: minor fix in CMakeLists.txt
    * roseus_mongo: support update method
    * roseus_mongo: bugfix: assert on decoding string without blacket
    * roseus_mongo: add docs; minor fix
    * roseus_mongo: support non blocking insertion
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 11 Jul 2018 00:00:00 -0000

ros-one-roseus-mongo (1.6.3-0jammy) jammy; urgency=high

  * roseus_mongo: fix decode escaped string (#538 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/538>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 08 Sep 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.2-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.1-0jammy) jammy; urgency=high

  * add kinetic test (#505 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/505>)
    * msg generation is only required unil indigo
    * mongo is only released from indigo
  * [roseus_mongo] fix: timeout must be integer (#498 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/498>)
    * ros::get-param always returns numerial value as double instead *mongo-service-timeout* assumes parameter as integer.
  * [roseus_mongo][json-decode.l] fix: parse-number / parse-constant return only string (#496 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/496>)
  * [roseus_mongo][test] use randomized mongod instance for testing (#492 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/492>)
  * [roseus_mongo] support json encode for ros::Time (#488 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/488>)
    * [roseus_mongo] test ros::time
    * [roseus_mongo][json-encode.l] support ros::time for json::encode
    * [roseus_mongo][json-utils.l] fix: with-blacket return value
  * [roseus_mongo/euslisp/mongo-client.l] use absolute path for json-encode / decode scripts (#481 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/481> )
  * [roseus_mongo] query mongo server with timeout option (#480 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/480> )
    * [README.md] fix: wrong description of parameter for timeout
    * [roseus_mongo/test/test-mongo-client.l] add test for mongodb query with timeout
    * [roseus_mongo] add timeout option for querying mongodb server
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Mar 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.0-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.3-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.2-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.1-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Apr 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.0-0jammy) jammy; urgency=high

  * {roseus_smach, roseus_mongo}/README.md: fix section/subsection
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-roseus-mongo (1.4.1-0jammy) jammy; urgency=high

  * [roseus_mongo/test/test_mongo_client.test] add missing machine tag for localhost
  * [roseus_mongo] test with new mongodb_store; more loose condition to enable limit option
  * [roseus_mongo/test/temp_mongodb_store.xml] update launch file path with fix https://github.com/strands-project/mongodb_store/pull/151
    [roseus_mongo/test/test_mongo_client_hydro.test] moved deprecated test launch file for hydro
    [roseus_mongo/CMakeLists.txt] updated to test only CATKIN_ENABLE_TESTING; check mongodb_store version and switch test launch file
  * [roseus_mongo/test/test-mongo-client.l] limit test for indigo later only
    [roseus_mongo/euslisp/mongo-client.l] limit ':limit' option only for indigo and later
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 00:00:00 -0000

ros-one-roseus-mongo (1.4.0-0jammy) jammy; urgency=high

  * [roseus_mongo/README.md] update readme for setting params
  * [roseus_mongo/euslisp/mongo-client.l] fix param name for *mongo-database*


## ros-one-roseus-mongo 1.7.5-102jammy.20251207.2328

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102jammy.20251207.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 07 Dec 2025 23:28:41 +0000

## ros-one-roseus-mongo 1.7.5-102jammy.20260221.2223

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102jammy.20260221.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:23:05 +0000

## ros-one-roseus-mongo 1.7.5-102noble.20251023.1123

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roseus_mongo)

find_package(mongodb_store QUIET)
if(mongodb_store_FOUND)
  set(MONGODB_STORE_PKG mongodb_store)
else()
  message(AUTHOR_WARNING "===\nros-$ENV{ROS_DISTRO}-mongodb-store package is not found, may be it is not releaed yet\n===")
endif()

if ("$ENV{ROS_DISTRO}" STRLESS "jade") # up to indigo we need to compile msg fiel
  set(COMPILE_PACKAGES mongodb_store_msgs)
endif()

find_package(catkin REQUIRED COMPONENTS
  ${MONGODB_STORE_PKG} ${COMPILE_PACKAGES}
  roseus
)

catkin_package(
  CATKIN_DEPENDS ${MONGODB_STORE_PKG} ${COMPILE_PACKAGES} roseus
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY euslisp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING AND mongodb_store_FOUND)
  find_package(rostest REQUIRED)
  add_rostest(test/test_json_encode.test)
  add_rostest(test/test_json_decode.test)
  if(${mongodb_store_VERSION} VERSION_LESS "0.1.17")
    message(WARNING "detected old mongodb_store. Testing with old launch file")
    add_rostest(test/test_mongo_client_hydro.test)
  else()
    add_rostest(test/test_mongo_client.test)
  endif()
endif()

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102noble.20251023.1123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:23:31 +0000

ros-one-roseus-mongo (1.7.5-0noble) noble; urgency=high

  * add tests for encode-vector (#618 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/618>)
  * Contributors: Hirokazu Ishida

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 13 Dec 2021 00:00:00 -0000

ros-one-roseus-mongo (1.7.4-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-one-roseus-mongo (1.7.3-0noble) noble; urgency=high

  * Merge remote-tracking branch 'origin/master' into last-status-msg
  * Contributors: Furushchev

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-one-roseus-mongo (1.7.2-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-one-roseus-mongo (1.7.1-0noble) noble; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * rosues_mongo/CMakeLists.txt: check mongodb_store package and deciede to run tests
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-one-roseus-mongo (1.7.0-0noble) noble; urgency=high

  * roseus_mongo: support non blocking insertion & update docstring (#541 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/541>)
    * roseus_mongo: skip non wait insertion test on hydro
    * roseus_mongo: minor fix in CMakeLists.txt
    * roseus_mongo: support update method
    * roseus_mongo: bugfix: assert on decoding string without blacket
    * roseus_mongo: add docs; minor fix
    * roseus_mongo: support non blocking insertion
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 11 Jul 2018 00:00:00 -0000

ros-one-roseus-mongo (1.6.3-0noble) noble; urgency=high

  * roseus_mongo: fix decode escaped string (#538 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/538>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 08 Sep 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.2-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.1-0noble) noble; urgency=high

  * add kinetic test (#505 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/505>)
    * msg generation is only required unil indigo
    * mongo is only released from indigo
  * [roseus_mongo] fix: timeout must be integer (#498 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/498>)
    * ros::get-param always returns numerial value as double instead *mongo-service-timeout* assumes parameter as integer.
  * [roseus_mongo][json-decode.l] fix: parse-number / parse-constant return only string (#496 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/496>)
  * [roseus_mongo][test] use randomized mongod instance for testing (#492 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/492>)
  * [roseus_mongo] support json encode for ros::Time (#488 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/488>)
    * [roseus_mongo] test ros::time
    * [roseus_mongo][json-encode.l] support ros::time for json::encode
    * [roseus_mongo][json-utils.l] fix: with-blacket return value
  * [roseus_mongo/euslisp/mongo-client.l] use absolute path for json-encode / decode scripts (#481 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/481> )
  * [roseus_mongo] query mongo server with timeout option (#480 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/480> )
    * [README.md] fix: wrong description of parameter for timeout
    * [roseus_mongo/test/test-mongo-client.l] add test for mongodb query with timeout
    * [roseus_mongo] add timeout option for querying mongodb server
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Mar 2017 00:00:00 -0000

ros-one-roseus-mongo (1.6.0-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.3-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.2-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.1-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Apr 2016 00:00:00 -0000

ros-one-roseus-mongo (1.5.0-0noble) noble; urgency=high

  * {roseus_smach, roseus_mongo}/README.md: fix section/subsection
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-roseus-mongo (1.4.1-0noble) noble; urgency=high

  * [roseus_mongo/test/test_mongo_client.test] add missing machine tag for localhost
  * [roseus_mongo] test with new mongodb_store; more loose condition to enable limit option
  * [roseus_mongo/test/temp_mongodb_store.xml] update launch file path with fix https://github.com/strands-project/mongodb_store/pull/151
    [roseus_mongo/test/test_mongo_client_hydro.test] moved deprecated test launch file for hydro
    [roseus_mongo/CMakeLists.txt] updated to test only CATKIN_ENABLE_TESTING; check mongodb_store version and switch test launch file
  * [roseus_mongo/test/test-mongo-client.l] limit test for indigo later only
    [roseus_mongo/euslisp/mongo-client.l] limit ':limit' option only for indigo and later
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 00:00:00 -0000

ros-one-roseus-mongo (1.4.0-0noble) noble; urgency=high

  * [roseus_mongo/README.md] update readme for setting params
  * [roseus_mongo/euslisp/mongo-client.l] fix param name for *mongo-database*


=== debian/control ===
Source: ros-one-roseus-mongo
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-mongodb-store, ros-one-mongodb-store-msgs, ros-one-roseus, ros-one-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-roseus-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-mongodb-store, ros-one-mongodb-store-msgs, ros-one-roseus
Description: The roseus_mongo package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-roseus-mongo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-roseus-mongo 1.7.5-102noble.20251208.1022

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102noble.20251208.1022) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:22:01 +0000

## ros-one-roseus-mongo 1.7.5-102noble.20260221.2321

=== debian/changelog ===
ros-one-roseus-mongo (1.7.5-102noble.20260221.2321) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:21:45 +0000
